/* Embeds
 *------------------------------------------------------------*/

.hygge-embed-container {
	&.domain-animoto,
	&.domain-blip,
	&.domain-collegehumor,
	&.domain-dailymotion,
	&.domain-funnyordie,
	&.domain-kickstarter,
	&.domain-mixcloud,
	&.domain-soundcloud,
	&.domain-ted,
	&.domain-videopress,
	&.domain-vimeo,
	&.domain-wordpress,
	&.domain-youtube {
		position: relative;
		width: 100%;
		padding-bottom: 56.25%; /* 16:9 */
		height: 0;
		margin-bottom: 30px;

		.editor-content > & {
			padding-bottom: ~"calc(56.25% + 56px)";
			clear: right;
		}

		iframe,
		object,
		embed,
		video {
			position: absolute !important;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
		}
	}

	&:empty {
		display: none;
	}
}



/* WP Embeds in content that are not wrapped in hygge container
 *------------------------------------------------------------*/
p {
	& > iframe,
	& > object,
	& > embed,
	& > video {
	}
}



/* Mejs upgrade for responsive video
 *------------------------------------------------------------*/

.mejs-container {
	margin-top: 8px;
	margin-bottom: 30px;

	.hygge-cover & {
		margin-top: 0;
		margin-bottom: 0;
	}
}

.wp-video {
	width: 100% !important;
}

.mejs-container.mejs-video {
	width: 100% !important;
	height: auto !important;
	padding-top: 56.25%; /* 16:9 */

	.mejs-overlay,
	.mejs-poster {
		width: 100% !important;
		height: 100% !important;
	}

	video {
		position: absolute;
		top: 0; left: 0; right: 0; bottom: 0;
		width: 100% !important;
		height: 100% !important;
	}
}
